Subject: Re: [PATCH net-next v5 00/15] net: macsec: initial support for hardware offloading

From: Antoine Tenart <[email-masked]>
Date: Mon, 13 Jan 2020 10:38:58 +0100

Hello David,

On Sat, Jan 11, 2020 at 03:10:30PM -0800, David Miller wrote:
> From: David Miller <[email-masked]>
> Date: Sat, 11 Jan 2020 15:08:07 -0800 (PST)
> 
> > From: Antoine Tenart <[email-masked]>
> > Date: Fri, 10 Jan 2020 17:19:55 +0100
> > 
> >> td;dr: When applying this series, do not apply patches 12 to 14.
> >> 
> >> This series intends to add support for offloading MACsec transformations
> >> to hardware enabled devices. The series adds the necessary
> >> infrastructure for offloading MACsec configurations to hardware drivers,
> >> in patches 1 to 6; then introduces MACsec offloading support in the
> >> Microsemi MSCC PHY driver, in patches 7 to 11.
> >> 
> >> The remaining 4 patches, 12 to 14, are *not* part of the series but
> >> provide the mandatory changes needed to support offloading MACsec
> >> operations to a MAC driver. Those patches are provided for anyone
> >> willing to add support for offloading MACsec operations to a MAC, and
> >> should be part of the first series adding a MAC as a MACsec offloading
> >> provider.
> > 
> > You say four 4 patches, but 12 to 14 is 3.  I think you meant 12 to 15
> > because 15 depends upon stuff added in 12 :-)
> > 
> > I applied everything except patch #7, which had the unnecessary phy
> > exports, and also elided 12 to 15.
> 
> Actually I had to revert.
> 
> You are including net/macsec.h from a UAPI header, and that does not
> work once userlance tries to use things.  And this even makes the
> kernel build fail:
> 
> [davem@localhost net-next]$ make -s -j14
> In file included from <command-line>:32:
> ./usr/include/linux/if_macsec.h:17:10: fatal error: net/macsec.h: No such file or directory
>  #include <net/macsec.h>
>           ^~~~~~~~~~~~~~
> compilation terminated.
> make[2]: *** [usr/include/Makefile:104: usr/include/linux/if_macsec.hdrtest] Error 1
> make[2]: *** Waiting for unfinished jobs....
> make[1]: *** [scripts/Makefile.build:503: usr/include] Error 2
> make: *** [Makefile:1693: usr] Error 2
> 
> Please fix this and respin.  And honestly just leave 12-15 out of the v6
> submission, thanks.

Sorry for this, I'll fix the build issue and respin.

Thanks!
Antoine

-- 
Antoine Ténart, Bootlin
Embedded Linux and Kernel engineering
https://bootlin.com